# $Revision: 1.16 $, $Date: 2005/12/29 13:29:43 $
%define	_short_name 	revtex
Summary:	Set of LaTeX macros for physicists
Summary(pl):	Zestaw makr LaTeXa dla fizykw
Name:		tetex-revtex
# NOTE: this is _not_ intended to be upgraded to v4 (or any newer)
Version:	3.1
Release:	4
License:	non-commercial
Group:		Applications/Publishing/TeX
Source0:	http://ftp.agh.edu.pl/pub/tex/macros/latex209/contrib/revtex/%{_short_name}%{version}.tar.gz
# Source0-md5:	70de3a42b831a26bfa3f1521944d7a56
Patch0:		%{name}-array.patch
%requires_eq	tetex
%requires_eq	tetex-latex
BuildRequires:	tetex-latex
Prereq:		tetex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of LaTeX macros for physicists.

%description -l pl
Zestaw makr LaTeXa dla fizykw.

%prep
%setup -q -c -n %{_short_name}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name} \
	$RPM_BUILD_ROOT%{_datadir}/texmf/doc/latex/%{_short_name}

install *.cls *.sty *.bst $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name}

install *.sty *.bst $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{_short_name}

%post	-p %{_bindir}/mktexlsr
%postun	-p %{_bindir}/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *.tex
%{_datadir}/texmf/tex/latex/%{_short_name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-revtex.spec,v $
Revision 1.16  2005/12/29 13:29:43  adamg
- release 4 to rebuild with tetex 3.0

Revision 1.15  2005/04/15 06:42:14  ankry
- edded NOTE

Revision 1.14  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:27:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.11  2002/11/29 22:46:46  ankry
- massive attack: new %%doc

Revision 1.10  2002/06/05 09:04:22  dobrek
- Begining of the fight with aps.

Revision 1.9  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/23 14:26:29  qboosh
- s/Copyrigh/License/, pl translations, simplified post/postun

Revision 1.5  2001/05/18 12:00:13  roman
- changed Summary and %description to something more accurate

Revision 1.4  2001/04/06 13:42:43  wiget
use %%require_eq for tetex (*.fmt files are not compatible across versions of teTeX);release++

Revision 1.3  2000/09/11 13:30:46  kloczek
- simplifications.

Revision 1.2  2000/09/11 13:12:42  dobrek
- Added part of debian patch. It fix the reported on pld-list problem
  with arrays in LaTeX.
- Revision = 2

Revision 1.1  2000/09/05 16:53:44  waszi
- Initial revision
